git-svn-id: http://svn.linux-vserver.org/svn/util-vserver/trunk@1716
94cd875c-1c1d-0410-91d2-
eb244daf1a30
skeleton ... -- [<cmd> <args>*]
... installs a minimal skeleton filesystem, creates the
configuration file and calls an optional command then
- debootstrap ... -- -d <distribution> [-m <mirror>]
+ debootstrap ... -- -d <distribution> [-m <mirror>] [-- <debootstrap-options>*]
bootstraps the vserver with Debian's 'debootstrap' package
Please report bugs to $PACKAGE_BUGREPORT"
-m) mirror=$2; shift;;
--debug) set -x;;
--) shift; break ;;
- *) echo "vserver-build.skeleton: internal error: unrecognized option '$1'" >&2
+ *) echo "vserver-build.debootstrap: internal error: unrecognized option '$1'" >&2
exit 1
;;
esac
test -z "$BUILD_INITPRE" || "$BUILD_INITPRE" "$SETUP_CONFDIR" "$UTIL_VSERVER_VARS"
mv "$VDIR"/dev "$VDIR"/dev.X
-"$DEBOOTSTRAP" "$DISTRIBUTION" "$VDIR" "$mirror" || : ## HACK: ignore all errors...
+"$DEBOOTSTRAP" "$@" "$DISTRIBUTION" "$VDIR" "$mirror" || : ## HACK: ignore all errors...
fixupDebian "$VDIR"
test -z "$BUILD_INITPOST" || "$BUILD_INITPOST" "$SETUP_CONFDIR" "$UTIL_VSERVER_VARS"